services:
  wiki:
    build:
      context: .
      args:
        MW_VERSION: ${MW_VERSION}
        SMW_VERSION: ${SMW_VERSION}
        AR_VERSION: ${AR_VERSION}
        PHP_VERSION: ${PHP_VERSION}
    image: ${IMAGE_NAME}

  mysql:
    image: ${DB_IMAGE:-mysql:5}
    environment:
      - MYSQL_ROOT_PASSWORD=database
    profiles:
      - mysql

  postgres:
    image: ${DB_IMAGE:-postgres:15}
    environment:
      - POSTGRES_USER=root
      - POSTGRES_PASSWORD=database
    profiles:
      - postgres

  wait-for:
    image: mintel/docker-wait-for-it
    profiles:
      - no-up
